using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.ProductGalleriesCQ.EventHandlers;

public class CreateNewProductGallerysEventHandler : INotificationHandler<CreateNewProductGallerysEvent>
{
    private readonly ILogger<
        CreateNewProductGallerysEventHandler> _logger;

    public CreateNewProductGallerysEventHandler(ILogger<CreateNewProductGallerysEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(CreateNewProductGallerysEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}
